Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web.loadbalancer.util
Class Constants

    java.lang.Object
      org.jboss.web.loadbalancer.util.Constants

public class Constants
extends Object

Version:
  $Revision: 1.7 $
Author:
  Thomas Peuss

Field Summary
`static int` | `HTTP_METHOD_DELETE`
`static int` | `HTTP_METHOD_GET`
`static int` | `HTTP_METHOD_HEAD`
`static int` | `HTTP_METHOD_OPTIONS`
`static int` | `HTTP_METHOD_POST`
`static int` | `HTTP_METHOD_PUT`
`static int` | `STATE_NODE_DOWN`
`static int` | `STATE_NODE_FORCED_DOWN`
`static int` | `STATE_NODE_UP`
`static String[]` | `STATE_STRINGS`

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_METHOD_GET

    public static final int HTTP_METHOD_GET

See Also:
  Constant Field Values

### HTTP_METHOD_POST

    public static final int HTTP_METHOD_POST

See Also:
  Constant Field Values

### HTTP_METHOD_DELETE

    public static final int HTTP_METHOD_DELETE

See Also:
  Constant Field Values

### HTTP_METHOD_HEAD

    public static final int HTTP_METHOD_HEAD

See Also:
  Constant Field Values

### HTTP_METHOD_OPTIONS

    public static final int HTTP_METHOD_OPTIONS

See Also:
  Constant Field Values

### HTTP_METHOD_PUT

    public static final int HTTP_METHOD_PUT

See Also:
  Constant Field Values

### STATE_NODE_UP

    public static final int STATE_NODE_UP

See Also:
  Constant Field Values

### STATE_NODE_DOWN

    public static final int STATE_NODE_DOWN

See Also:
  Constant Field Values

### STATE_NODE_FORCED_DOWN

    public static final int STATE_NODE_FORCED_DOWN

See Also:
  Constant Field Values

### STATE_STRINGS

    public static final String[] STATE_STRINGS

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.